Alex_Miller Posted December 3, 2018 Share Posted December 3, 2018 I am trying to draw a cylinder using the method vla-AddCylinder. (vl-load-com) (setq center (vlax-3d-point 0 0 0) cylRadius 5 cylHeight 50) (setq modelSpace (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object)))) (vla-AddCylinder modelSpace center cylRadius cylHeight) The cylinder is extruding along axis Z. I would make the cylinder be directed along another axis, for example X. Quote Link to comment Share on other sites More sharing options...
Lee Mac Posted December 3, 2018 Share Posted December 3, 2018 Construct the cylinder relative to the WCS plane and then transform as required - here is an example. 1 Quote Link to comment Share on other sites More sharing options...
Alex_Miller Posted December 3, 2018 Author Share Posted December 3, 2018 Lee Mac Okay. Thank you. I'll look with interesting. Quote Link to comment Share on other sites More sharing options...
BIGAL Posted December 4, 2018 Share Posted December 4, 2018 Just another use rotate3d after making object or set a ucs then draw object in that plane. 1 Quote Link to comment Share on other sites More sharing options...
Alex_Miller Posted December 4, 2018 Author Share Posted December 4, 2018 BIGAL Yes. I guess that sometimes using the function entmake must be easier. Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.